@import "./assets/styles/fonts";
@import "./assets/styles/spacing";

.table {
  @extend %px-8;
}

.row {
  background-color: #fff;
  border: solid 1px #ccc;
  border-left: none;
  border-right: none;
  @extend %py-8;
  @extend %px-4;
  display: flex;
  justify-content: space-between;
  align-items: center;
  .data {
    flex: 1;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
}

.row:hover {
  background-color: #fafafa;
  cursor: pointer;
  .deleteBtn {
    visibility: visible;
  }
}

.story_title {
  color: #333;
  @extend %text-lg;
}

.author {
  color: #999;
}

.deleteBtn {
  @extend %pl-12;
  border: none;
  background: none;
  visibility: hidden;
  &:disabled{
    opacity: 0.6;
    cursor: progress;
  }
}
